Last Comment Bug 705656 - Broken SKIA compilation on mingw
: Broken SKIA compilation on mingw
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Jacek Caban
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-28 06:46 PST by Jacek Caban
Modified: 2011-12-01 03:55 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (4.08 KB, patch)
2011-11-28 06:46 PST, Jacek Caban
no flags Details | Diff | Splinter Review
fix (7.13 KB, patch)
2011-11-29 04:34 PST, Jacek Caban
matt.woodrow: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-11-28 06:46:30 PST
Created attachment 577246 [details] [diff] [review]
fix

I'm attaching a patch that fixes the compilation for me. Fixes to SKIA parts are submitted to upstream for review: http://codereview.appspot.com/5444044/ Mozilla-specific changes include passing -msse2 flags to compilations of files using SSE2.
Comment 1 Jacek Caban 2011-11-29 04:34:32 PST
Created attachment 577548 [details] [diff] [review]
fix

The patch has been accepted to upstream. The attached patch adds it to Mozilla version until.
Comment 2 Jacek Caban 2011-11-30 01:28:29 PST
Thanks for the review, pushed to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/0b4c709c2dfc

Note You need to log in before you can comment on or make changes to this bug.